;-----------------------------------------------------------------------------
; Datei:  C:\cbproj\UptWin1\programs\Float_and_Double.cts
; Format: Testscript fuer WoBu's "CAN Tester fr Windows" .
; Autor:  Wolfgang Bscher
; Datum:  2009-10-08
; Info :
; Im Oktober 2009 traten bei Volke Probleme mit 32-Bit-Floats auf,
; wobei allerdings nicht klar war, ob dies INTEL oder MOTOROLA-Byte-Order war.
; Um dies zu testen, diente die Display-Applikation 
;  \cbproj\UptWin1\programs\float_t.cvt ; Signale aus Float_and_Double.dbc :

; Signal "Double1" auf CAN-ID #0, auf dem CAN-Bus(!) mit 64 Bit bertragen,
; kann aber im Display (noch) nicht verarbeitet werden !
0x000 0.il  0.il  ; ->  "Double1" = 0000.00

; Signal "Float1_I" ist 32-bit FLOAT mit INTEL-Byte-Order.
; Signal "Float1_M" ist 32-bit FLOAT mit MOTOROLA-Byte-Order.
; BEIDE STECKEN IN DER GLEICHEN CAN-MESSAGE (was etwas Probleme
; mit Kvaser's CANdb-Editor verursachte..)
0x001 0.il  0.ml  ; -> Float1_I= 0.0,  Float1_M= 0.0
 ; Beispiel von Volke (aus Email von Herrn Antemann) :
0x001 0x42892C00.il  0x42892C00.ml  ; -> Float1_I= 68.586,  Float1_M= 68.586
 ; Noch ein Beispiel, aus http://de.wikipedia.org/wiki/IEEE_754 , 
 ; "Die Zahl 18.4 soll in eine Gleitkommazahl umgewandelt werden"...
 ; 1 Bit Vorzeichen + 8 Bit Exponent + 23 Bit Mantisse
 ; 0 10000011 00100110011001100110011 (binr) -> 
 ;    die Vorkomma-Eins wird als Hidden Bit weg gelassen; 
 ;    da dort immer eine 1 steht, braucht man diese nicht zu speichern.
 ; Der obige binre Rattenschwanz in hexadezimaler Form:
 ; 0100 0001 1001 0011 0011 0011 0011 0011 (noch immer binr) -> 
 ;  4    1    9    3    3    3    3    3
0x001 0x41933333.il 0x41933333.ml  ; -> Float1_I= 18.400,  Float1_M= 18.400
 
; Signal "MotFloat0" und "MotFloat1" sind BEIDES 32-Bit-Floats
; mit Motorola-Byte-Order, die beide im gleichen CAN-Telegramm stecken:
0x002 0x42892C00.ml 0x42892C00.ml  ; -> MotFloat0= 68.586,  MotFloat1= 68.586
0x002 0x41933333.ml 0x41933333.ml  ; -> MotFloat0= 18.400,  MotFloat1= 18.400

